io.vertx.rxjava.ext.auth.htpasswd

## Class HtpasswdAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.AuthProvider
  - - io.vertx.rxjava.ext.auth.htpasswd.HtpasswdAuth

-     public class HtpasswdAuth
      extends AuthProvider

  An extension of AuthProvider which is using htpasswd file as store

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<HtpasswdAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtpasswdAuth(HtpasswdAuth delegate)`
    `HtpasswdAuth(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HtpasswdAuth` | `create(Vertx vertx)`
    `static HtpasswdAuth` | `create(Vertx vertx, HtpasswdAuthOptions htpasswdAuthOptions)`
    `boolean` | `equals(Object o)`
    `HtpasswdAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static HtpasswdAuth` | `newInstance(HtpasswdAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.AuthProvider

      `authenticate, authenticateObservable, newInstance, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HtpasswdAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### HtpasswdAuth

          public HtpasswdAuth(HtpasswdAuth delegate)

    - #### HtpasswdAuth

          public HtpasswdAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthProvider`

    - #### getDelegate

          public HtpasswdAuth getDelegate()

      Overrides:
        `getDelegate` in class `AuthProvider`

    - #### create

          public static HtpasswdAuth create(Vertx vertx)

    - #### create

          public static HtpasswdAuth create(Vertx vertx,
                                            HtpasswdAuthOptions htpasswdAuthOptions)

    - #### newInstance

          public static HtpasswdAuth newInstance(HtpasswdAuth arg)

Copyright © 2021 Eclipse. All rights reserved.